incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tora - Takamichi Akiyama <t...@openoffice.org>
Subject Re: [BUILD]solaris build failed again.
Date Mon, 19 Dec 2011 19:18:24 GMT
On 12/20/2011 1:19 AM, Ariel Constenla-Haile wrote:
>> But when i exec build --all, it appear these error message:
>> ==============================================
>> build -- version: 275224
>>
>> Fetching dependencies for module l10n from solver... failed
>>
>> ERROR: incomplete dependencies!
>> ==============================================

This might also help you. I was taught before.
http://openoffice.org/projects/www/lists/dev/archive/2011-06/message/40

Additionally, try using the same version of compiler as the release 
engineering team used.
http://wiki.services.openoffice.org/wiki/Compiler_versions_used_by_port_maintainers_and_release_engineers

Generally speaking, the latest version of compiler might now work well 
with the source code of OpenOffice.org since the code is developed with 
a specific version of compiler.

E.g. One source code line would be treated:
(version x.0) Warning: xxx is ambiguous and considered as an error
(version x.1) Error: xxx is ambiguous

Migration of compiler version is tough work...

Tora

Mime
View raw message